----------------
-- BubbleHenge --
----------------

local BubbleHenge = Henge:NewModule("BubbleHenge")
BubbleHenge.fullname = "BubbleHenge"
BubbleHenge.icon     = "icon"
local ML, SL = nil, nil

function BubbleHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "PALADIN"
end

function BubbleHenge:Load()
	ML = HengeLocale:LoadBubbleHenge()
	SL = AceLibrary("Babble-Spell-2.2")
	self.db = Henge:AcquireDBNamespace("BubbleHenge")

	-- Set up defaults
	self.defaultsPC = {}
	self.defaults = {}
	Henge:RegisterDefaults("BubbleHenge", "profile", self.defaults)
	Henge:RegisterDefaults("BubbleHenge", "char", self.defaultsPC)

	HengeSphere:AddData({
		["id"] = "mana",
		["name"] = ML["Mana"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	local spell = {
		["holylight"] = SL["Holy Light"],
		["flashoflight"] = SL["Flash of Light"],
		["layonhands"] = SL["Lay on Hands"]
	}
	for k, v in pairs(spell) do
		HengeAction:Add({
			["id"] = k,
			["name"] = v,
			["type"] = 'spell',
			["spell"] = v
		})
	end
	HengeButton:Add({
		["id"] = "healing",
		["type"] = "action",
		["name"] = ML["Healing Spells"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "holylight",
			["RightButton"] = "flashoflight",
			["Shift-LeftButton"] = "layonhands"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 105,
			["texture"] = "action:LeftButton"
		}
	})
end
